#ifdef HAVE_SYS_USER32_H
#include <sys/user32.h>
#else

#ifdef HAVE_STDINT_H
#include <stdint.h>
typedef  int32_t  gdb_int32_t;
typedef uint32_t gdb_uint32_t;
#else
typedef   signed int gdb_uint32_t;
typedef unsigned int gdb_uint32_t;
#endif

/* Copyright (C) 2006 Free Software Foundation, Inc.
   This file is part of the GNU C Library.

   The GNU C Library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.

   The GNU C Library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with the GNU C Library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
   02111-1307 USA.  */

#ifndef _SYS_USER32_H
#define _SYS_USER32_H	1

/* These are the 32-bit x86 structures.  */

struct user_fpregs32_struct
{
  int32_t cwd;
  int32_t swd;
  int32_t twd;
  int32_t fip;
  int32_t fcs;
  int32_t foo;
  int32_t fos;
  int32_t st_space [20];
};

struct user_fpxregs32_struct
{
  unsigned short int cwd;
  unsigned short int swd;
  unsigned short int twd;
  unsigned short int fop;
  int32_t fip;
  int32_t fcs;
  int32_t foo;
  int32_t fos;
  int32_t mxcsr;
  int32_t reserved;
  int32_t st_space[32];   /* 8*16 bytes for each FP-reg = 128 bytes */
  int32_t xmm_space[32];  /* 8*16 bytes for each XMM-reg = 128 bytes */
  int32_t padding[56];
};

struct user_regs32_struct
{
  int32_t ebx;
  int32_t ecx;
  int32_t edx;
  int32_t esi;
  int32_t edi;
  int32_t ebp;
  int32_t eax;
  int32_t xds;
  int32_t xes;
  int32_t xfs;
  int32_t xgs;
  int32_t orig_eax;
  int32_t eip;
  int32_t xcs;
  int32_t eflags;
  int32_t esp;
  int32_t xss;
};

struct user32
{
  struct user_regs32_struct	regs;
  int				u_fpvalid;
  struct user_fpregs32_struct	i387;
  uint32_t			u_tsize;
  uint32_t			u_dsize;
  uint32_t			u_ssize;
  uint32_t			start_code;
  uint32_t			start_stack;
  int32_t			signal;
  int				reserved;
  struct user_regs32_struct*	u_ar0;
  struct user_fpregs32_struct*	u_fpstate;
  uint32_t			magic;
  char				u_comm [32];
  int				u_debugreg [8];
};

#endif	/* _SYS_USER32_H */

#endif /* HAVE_SYS_USER32_H */
